Introduction to libgnomecanvas

The libgnomecanvas package contains the GNOME canvas library. It is an engine for structured graphics and one of the essential GNOME libraries.

Package Information

libgnomecanvas Dependencies


libglade-2.6.0 and libart_lgpl-2.3.17



User Notes:

Installation of libgnomecanvas



The instructions below are based on installing the package into a GNOME-2 environment. If, for whatever reason, you're installing this package without having ORBit2 and the core GNOME-2 libraries installed, you'll need to modify the --prefix= parameter on the configure script to point to your desired installation path (e.g., --prefix=/usr).

Install libgnomecanvas by running the following commands:

./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) &&

To test the results, issue: make check.

Now, as the root user:

make install

Command Explanations

--prefix=$(pkg-config --variable=prefix ORBit-2.0): Setting the prefix using this parameter instead of with $GNOME_PREFIX will ensure that the prefix is consistent with the installation environment and the package will be installed in the correct location.

--enable-gtk-doc: Use this parameter if GTK-Doc is installed and you wish to rebuild the API documentation.


Installed Programs: None
Installed Libraries: libgnomecanvas-2.{so,a} and the libcanvas.{so,a} Glade library
Installed Directories: The following subdirectories of $GNOME_PREFIX/: include/libgnomecanvas-2.0, lib/libglade and share/gtk-doc/html/libgnomecanvas

Last updated on 2007-01-15 18:08:14 -0600